/********************************************************************
*********************************************************************
*	Processor	: PIC18F2550
*	FileName:		mytype.h
*	Dependencies:	Common header file
*	Printed board:	YM-001A
*
*	History:
*	Date		Designer	Description
*	07/23/2010	DachsTulip	Created	
*
*	Copyright (c) 2010 by DachsTulip
*********************************************************************
********************************************************************/
#ifndef __mytype__
	#define __mytype__

/**
	C:\Program Files\Microchip\MCC18\h\GenericTypeDefs.h
				|-> typedef unsigned char       UINT8; etc
	*/
// #include	"GenericTypeDefs.h"
// #include	"Compiler.h"
/**
	#include	"Compiler.h"
	C:\FootMouseKey\system\Include\Compiler.h
		|-> #if defined(__18CXX) || defined(HI_TECH_C)	
				|-> #include <p18cxxx.h>
					C:\Program Files\Microchip\MCC18\h\p18cxxx.h
						|-> #elif defined(__18F2550)
							|-> #include <p18f2550.h>
	*/

/**
***********************************************************************
* debug Definitions
************************************************************************
	*/

// gݗČ㓮eXgvOpRpCXCb`
// #define _CIRCUIT_TEST_
#if defined(_CIRCUIT_TEST_)
	#define CIRCUIT_TEST(__dbg) __dbg
#else
	#define CIRCUIT_TEST(__dbg)
#endif

/**
***********************************************************************
* Definition
************************************************************************
*/

/**
	C:\Program Files\Microchip\MCC18\h\GenericTypeDefs.h
	*/
typedef signed   char		SINT8;
typedef signed   short		SINT16;
typedef signed   long		SINT32;

typedef	volatile unsigned char			VUINT8;
typedef	volatile unsigned short int		VUINT16;
typedef	volatile unsigned long int		VUINT32;


#define		BIT00		0x01
#define		BIT01		0x02
#define		BIT02		0x04
#define		BIT03		0x08
#define		BIT04		0x10
#define		BIT05		0x20
#define		BIT06		0x40
#define		BIT07		0x80
#define		BIT08		0x0100
#define		BIT09		0x0200
#define		BIT10		0x0400
#define		BIT11		0x0800
#define		BIT12		0x1000
#define		BIT13		0x2000
#define		BIT14		0x4000
#define		BIT15		0x8000

#define kCRcode		(0x0d)			/* "\r" */
#define kLFcode		(0x0a)			/* "\n" */


#endif		/* __mytype__ */
/* end of myType.h */
